hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject Re: Clover version; release new project POM
Date Tue, 08 Feb 2011 19:04:30 GMT
On 8 February 2011 18:52, sebb <sebbaz@gmail.com> wrote:
> On 8 February 2011 17:07, Oleg Kalnichevski <olegk@apache.org> wrote:
>> "sebb" <sebbaz@gmail.com> wrote:
>>
>>>I had some problems generating the site, because the build phase was
>>>using clover 2.6.3, whereas the report phase was using the latest
>>>Clover which is currently 3.0.2.
>>>
>>>I've added a property clover.version (3.0.2) to the project POM.
>>>It would be nice to be able to add the clover plugin details to the
>>>reporting section of the project POM, but AFAIK, that will force
>>>clover to be run for all modules, which we don't want.
>>>
>>>So it looks like all the child POMs that have clover in the reporting
>>>section will need the version to be added.
>>>
>>>I guess this also means that we need to release the project POM - need
>>>to do that anyway for the skin updates.
>>>
>>>I'm happy to RM them both.
>>>
>>>---------------------------------------------------------------------
>>>To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
>>>For additional commands, e-mail: dev-help@hc.apache.org
>>
>> Sebastian,
>>
>> ASF does not have a license for the latest version of Clover. This is the reason
poms used version 2.6.3.
>
> I see, in which case I'll change the version back.
> But in any case, the version needs to be specified in the reporting
> section as well.
>
> But I was able to run version 3.0.2 earlier, and I did not notice a
> problem with the licence.
> I need to investigate further.

Weird.

The licence I'm using is definitely the one we were given for 2.6.3,
yet the report I generated says:

Clover	Report generated by Clover Code Coverage v3.0.2
Tue Feb 8 2011 17:01:53 GMT. 	 	 	Clover: Open Source License
registered to Apache.

And I know I used 3.0.2 to generate the data as well (the 2.6.3
database is not compatible with 3.0.2).

I've reverted the POM to 2.6.3 for now.

>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
>> For additional commands, e-mail: dev-help@hc.apache.org
>>
>>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message